<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetLicense Method (IEdmVault11)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault11 Interface : GetLicense Method (IEdmVault11)

Visual Basic
C#
C++/CLI

ppoRetLicense
  Array of EdmLicense structures; one structure for each license that has one or more users (see Remarks)

Gets all of the SOLIDWORKS PDM Professional licenses installed in this vault.

# Syntax

Visual Basic |
--- | ---

    Sub GetLicense( _
       ByRef ppoRetLicense() As EdmLicense _
    )

C# |
--- | ---

    void GetLicense(
       out EdmLicense[] ppoRetLicense
    )

C++/CLI |
--- | ---

    void GetLicense(
    &   [Out] array<EdmLicense>^ ppoRetLicense
    )

#### Parameters

ppoRetLicense
  Array of EdmLicense structures; one structure for each license that has one or more users (see Remarks)

# Example

Vault Utilities (VB.NET)
Vault Utilities (C#)

# Remarks

In SOLIDWORKS PDM Professional:

- 2015 SP0 and later, licenses are shared among all vaults that use the same SolidNetwork License Server (SNL). See IEdmVault14::InstallLicense2.
- 2014 and earlier, licenses were shared among all vaults that were in the same SQL Server instance.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVault11 Interface
IEdmVault11 Members

# Availability

SOLIDWORKS PDM Professional 2010